echo off

rem DOS batch file to install IMS F006A onto a PC
rem Copyright (C) INMOS Ltd, 1991

echo **********************************
echo *  INMOS IMS F006A INSTALLATION  *
echo *  Copyright (C) INMOS Ltd 1991  *
echo **********************************

rem %1 = source, %2 = destination

IF "%1" == "" GOTO ERROR1
IF "%2" == "" GOTO ERROR2
IF NOT EXIST %1:\yesorno.exe GOTO ERROR3

echo Installing IMS F006A to drive %2 from drive %1
%1:yesorno Do you want to continue with the installation ?
IF ERRORLEVEL 1 GOTO END

REM Create the distribution tree

mkdir %2:\f006a

mkdir %2:\f006a\clib
mkdir %2:\f006a\clib\source
mkdir %2:\f006a\clib\examples

mkdir %2:\f006a\occamlib
mkdir %2:\f006a\occamlib\source
mkdir %2:\f006a\occamlib\examples

REM Install the IMS B431 device driver

copy %1:\b431drvr.lku %2:\f006a

REM Copy the C and OCCAM library archives

copy %1:\clib.exe  %2:\f006a\clib
copy %1:\csrc.exe  %2:\f006a\clib\source
copy %1:\cexpl.exe %2:\f006a\clib\examples

copy %1:\oclib.exe  %2:\f006a\occamlib
copy %1:\ocsrc.exe  %2:\f006a\occamlib\source
copy %1:\ocexpl.exe %2:\f006a\occamlib\examples

REM Dearchive the C and OCCAM libraries

%2:
cd f006a

echo Installing ANSI C support

cd clib
clib
del clib.exe
cd source
csrc
del csrc.exe
cd ..\examples
cexpl
del cexpl.exe
cd ..\..

echo Installing OCCAM support

cd occamlib
oclib
del oclib.exe
cd source
ocsrc
del ocsrc.exe
cd ..\examples
ocexpl
del ocexpl.exe
cd ..\..

REM Installation done

echo Installation of IMS F006A to %2:\F006A complete
GOTO END

:ERROR3
ECHO You have given an invalid drive letter for the installation disks.

:ERROR1
:ERROR2
ECHO You must specify the drive letters for the installation.
ECHO First drive letter must be the drive in which the installation disk
ECHO is inserted and the second must be the drive on which the IMS F006A
ECHO is to be installed.

:END
echo on
